
import numpy as np
import math
import pylab as plt
from Get_Dop_Profiles import Get_Dop_Profiles

path="d:/signal/dop4000/data_trav/"

#*************************************************************************
# Example 1
# ---------
# UDOP data file contains 1 graph of velocity profile from channel 1
# Extract all the profiles from the first block, compute the mean profile
# and plot the result.
#
Channel = 1
Block = 1
Graph = 1

My_File = path +'dop_data.bdd'
try:
  fid = open(My_File, 'rb');
except:
  print("The file", filename, " is not found")


# Read from file all the measured data of graph 1
#
[X, Y, Info, Np, Nb_Gates] = Get_Dop_Profiles(fid, Graph, Channel, Block)
#
# Check for some errors ....
if Np == -1:
  print('Not a comptabilble DOP data file')
if Np == -2:
  print('Data file version not supported')
if Np == -3:
  print('Unknown graph number')
if Np == -4:
  print('Unknown channel')
if Np == -5:
  print('Unknown block')
#
#
# Plot the 10th profile
# ---------------------
No_Profile_To_Plot = 4

Yp = np.zeros(Nb_Gates)
for i in range(0, Nb_Gates):
  Yp[i] = Y[No_Profile_To_Plot-1,i]
  
plt.plot(X, Yp)
plt.show()
       

       